.asm-wrapper {
  position: relative;
  top: 0;
  left: 0;
  z-index: 10;
}
#asm-mask {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9998;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.8);
}
.asm {
  position: fixed;
  z-index: 9999;
  overflow: hidden;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}
.asm-horizontal {
  top: 0;
  width: 300px;
  height: 100%;
}
.asm-vertical {
  left: 0;
  width: 100%;
  height: 100px;
}
.asm-body-closed {
  left: 0;
  top: 0;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}
.asm-left {
  left: -300px;
}
.asm-left-open {
  left: 0;
}
.asm-body-push-left {
  left: 300px;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}
.asm-right {
  right: -300px;
}
.asm-right-open {
  right: 0;
}
.asm-body-push-right {
  left: -300px;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}
.asm-top {
  top: -100px;
}
.asm-top-open {
  top: 0;
}
.asm-body-push-top {
  top: 100px;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}
.asm-bottom {
  bottom: -100px;
}
.asm-bottom-open {
  bottom: 0;
}
.asm-body-push-bottom {
  top: -100px;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}
